﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MindFusion.Diagramming;
using MindFusion.Diagramming.Mvc;

namespace MindMap.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index(string submitButton)
        {
            DiagramView view = DiagramView.FromRequest("diagramView1", Request);
            view.Diagram.DefaultShape = Shapes.Ellipse;
            ViewBag.DiagramView = view;

            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}